Page MenuHomePhabricator

Merge PageIssues Feature Branch to Master
Closed, ResolvedPublic2 Story Points

Description

In T206178, we created a feature branch. Several other tasks have been worked on and need to be folded back into master.

https://gerrit.wikimedia.org/r/#/c/mediawiki/skins/MinervaNeue/+/467842/

This needs to be merged to master when the page issues code is shipped to production.

Precursors

QA steps

  • There should be no instrumentation code in the master branch (T206178)
  • Per T206179 it should be possible to turn on the new treatment of page issues for 100% users.

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenJdlrobson
OpenNone
OpenNone
DeclinedNone
ResolvedDannyH
OpenNone
OpenNirzar
ResolvedJdlrobson
Resolvedovasileva
DuplicateNone
Openmarcella
OpenNone
OpenNone
OpenNone
Resolvedmatmarex
ResolvedABorbaWMF

Event Timeline

nray created this task.Nov 1 2018, 4:02 PM
Restricted Application changed the subtype of this task from "Deadline" to "Task". · View Herald TranscriptNov 1 2018, 4:02 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
nray added a subscriber: ovasileva.Nov 1 2018, 4:06 PM

@ovasileva please let me know if this should be a subtask of T206178. Still getting the grasp of how phab should work

Jdlrobson updated the task description. (Show Details)Nov 2 2018, 3:14 PM
ovasileva raised the priority of this task from Normal to High.Nov 2 2018, 5:33 PM

Change 472478 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/skins/MinervaNeue@master] Merge remote-tracking branch 'gerrit/page-issues-cleanup'

https://gerrit.wikimedia.org/r/472478

matmarex claimed this task.Nov 8 2018, 3:38 PM
matmarex added a subscriber: matmarex.

This is blocking my work on T198765. I hope you don't mind if I do this.

As far as I can tell, this can be done now, but if not, the commit can wait until it can.

Jdlrobson set the point value for this task to 2.Nov 8 2018, 10:22 PM

async estimation.

Change 472478 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Merge remote-tracking branch 'gerrit/page-issues-cleanup'

https://gerrit.wikimedia.org/r/472478

Jdlrobson reassigned this task from matmarex to Ryasmeen.Nov 12 2018, 6:13 PM
Jdlrobson added a project: Product-QA.
Jdlrobson added subscribers: ABorbaWMF, Ryasmeen.

@ABorbaWMF @Ryasmeen is it possible to get a general QA of page issues on https://reading-web-staging.wmflabs.org (old treatment only)?

Jdlrobson updated the task description. (Show Details)Nov 14 2018, 6:13 PM
ovasileva reassigned this task from Ryasmeen to ABorbaWMF.Nov 14 2018, 6:15 PM

It's looking ok to me. It is difficult to find pages with issues on staging but I was able to find a couple pages.





Jdlrobson closed this task as Resolved.Nov 15 2018, 4:51 PM

Thanks for testing @ABorbaWMF

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 15 2018, 4:51 PM